#
# spec file for package cosmic-idle
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cosmic-idle
Version:        1.0.0~alpha6+0
Release:        1.2
Summary:        Idle notify manager for COSMIC
License:        GPL-3.0-only
URL:            https://github.com/pop-os/cosmic-idle
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
* Sat Feb 22 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha6+0:
  * same as 1.0.0~alpha5.1+0
- switch to obs_scm
* Sat Jan 18 2025 Richard Rahl <rrahl0@opensuse.org>
- update to 1.0.0~alpha5.1+0:
  * same as 1.0.0~alpha5+0
* Fri Jan 10 2025 rrahl0@opensuse.org
- Update to version 1.0.0~alpha5+0:
  * Slow down the fade to black time
  * Reduce `Cargo.lock` build for CI build
  * Run `cargo update`
  * Add a slight delay between screen off and locking
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 1.0.0~alpha4+0:
  * fix bug where screen off was triggered while in inhibit state
  * Set DPMS and remove fade surfaces in one place
  * Lock session on screen blanking
  * Load `system_actions` config, and refactor commmand spawning code
  * Use `zbus::connection::Builder`
  * Update default settings
  * Also expose screensaver DBus protocol at path `/ScreenSaver`
  * debian: Fix description
  * Destroy idle notifications when inhibited
  * Fixes for `freedesktop_screensaver`
* Mon Nov  4 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
